

<?php
/**
 * @package	HikaShop for Joomla!
 * @version	2.6.4
 * @author	hikashop.com
 * @copyright	(C) 2010-2017 HIKARI SOFTWARE. All rights reserved.
 * @license	GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */
defined('_JEXEC') or die('Restricted access');


class plgHikashoppaymentevopayment extends hikashopPaymentPlugin
{

	





	var $multiple = true;
	var $name = 'evopayment';
	var $accepted_currencies = array('USD','MXN' );

	// This array contains the specific configuration needed (Back end > payment plugin edition), depending of the plugin requirements.
	// They will vary based on your needs for the integration with your payment gateway.
	// The first parameter is the name of the field. In upper case for a translation key.
	// The available types (second parameter) are: input (an input field), html (when you want to display some custom HTML to the shop owner), textarea (when you want the shop owner to 
	// write a bit more than in an input field), big-textarea (when you want the shop owner to write a lot more than in an input field), boolean 
	//(for a yes/no choice), checkbox (for checkbox selection), list (for dropdown selection) , orderstatus (to be able to select between the available order statuses)
	// The third parameter is the default value.
	var $pluginConfig = array(
		// User's identifier on the payment platform
		'identifier' => array("Identifier",'input'),
		// User's password on the payment platform
		'password' => array("HIKA_PASSWORD",'input'),
		// To allow (or not) notifications from the payment platform. The plugin can only work if notifications are allowed
		'notification' => array('ALLOW_NOTIFICATIONS_FROM_X', 'boolean','0'),
		// Platform payment's url
		'payment_url' => array("Payment URL",'input'),
		// Write some things on the debug file
		'debug' => array('DEBUG', 'boolean','0'),
		// The URL where the user is redirected after a fail during the payment process
		'cancel_url' => array('CANCEL_URL_DEFINE','html',''),
		// The URL where the user is redirected after the payment is done on the payment gateway. It's a pre determined URL that has to be given to the payment gateway
		'return_url_gateway' => array('RETURN_URL_DEFINE', 'html',''),
		// The URL where the user is redirected by HikaShop after the payment is done ; "Thank you for purchase" page
		'return_url' => array('RETURN_URL', 'input'),
		// The URL where the payment platform the user about the payment (fail or success)
		'notify_url' => array('NOTIFY_URL_DEFINE','html',''),
		// Invalid status for order in case of problem during the payment process
		'invalid_status' => array('INVALID_STATUS', 'orderstatus'),
		// Valid status for order if the payment has been done well
		'verified_status' => array('VERIFIED_STATUS', 'orderstatus')
	);
	

		
		

	
	
	function onAfterOrderConfirm(&$order,&$methods,$method_id){
		parent::onAfterOrderConfirm($order,$methods,$method_id);

		
		
		
		$amount = round($order->cart->full_total->prices[0]->price_value_with_tax, 2) * 100;
			
			// The order's amount, here in cents and rounded with 2 decimals because of the payment platform's requirements
			// There is a lot of information in the $order variable, such as price with/without taxes, customer info, products... you can do a var_dump here if you need to display all the available information

			// This array contains all the required parameters by the payment plateform
			// Not all the payment platforms will need all these parameters and they will probably have a different name.
			// You need to look at the payment gateway integration guide provided by the payment gateway in order to know what is needed here
			$vars = array(
				// User's identifier on the payment platform
				'IDENTIFIER' => $this->payment_params->identifier,
				//The id of the customer
				'CLIENTIDENT' => $order->order_user_id,
				// Order's description
				'DESCRIPTION' => "order number : ".$order->order_number,
				// The id of the order which will be given back by the payment gateway when it will notify your plugin that the payment has been done and which 
				//will allow you to know the order corresponding to the payment in order to confirm it
				'ORDERID' => $order->order_id,
				 // The amount of the order
				'AMOUNT' => $amount
			);

	function getPaymentDefaultValues(&$element) {
		$element->payment_name='Evopayment';
		$element->payment_code='You can pay by credit cards.';
		$element->payment_images='MasterCard,VISA,Credit_card,American_Express';

		$element->payment_params->information='*';
		$element->payment_params->order_status='created';
		$element->payment_params->ask_ccv = true;
		$element->payment_params->ask_owner = false;
		$element->payment_params->ask_cctype = '';
	}
	?> 
	

		
			 
			 
			 

	
	
	<?php 
	$amount = $this->order->cart->full_total->prices[0]->price_value;
	
		 echo '<br/>merchant:'. $this->payment_params->identifier.'<br/>';
          
				echo  'amount:' . $this->order->cart->full_total->prices[0]->price_value.'<br/>';
                echo  'currency:'. 'USD'.'<br/>';
                echo 'description:' . $this->order->cart->products[0]->order_product_name.'<br/>';
                echo 'id:' . '1'.'<br/>'; 
				   
$class = hikashop_get('class.cart');
$cart = $class->loadFullCart();
			 
			 
	$document = JFactory::getDocument();
$document->addScript('https://banamex.dialectpayments.com/checkout/version/36/checkout.js');
	
	
						return $this->showPage('end'); 

}
}


$class = hikashop_get('class.cart');
$cart = $class->loadFullCart();
$max = null;

if($product->cart_product_modified>@$max->cart_product_modified){
$max = $product;

}

if($max){
$class = hikashop_get('class.product');
$product = $class->get($max->product_id);
echo $product->product_name;
}



echo ('<script type="text/javascript">


function myFunction() {

function errorCallback(error) {
                  console.log(JSON.stringify(error));
            }
            function cancelCallback() {
                  console.log("Payment cancelled");
            }

            Checkout.configure({
            
                merchant: "TEST1058409",
                order:
                {
                    amount: "480" ,
                    currency: "USD",
                    description: "ORDERED GOODS",
                   id: "2"
                },
                interaction: {
                    merchant: 
                    {
                        name: "SpanishInCabo S.A. de C.V.",
                        address: 
                        {
                            line1: "Paseo de los Marinos 818 esq. Retorno del Rompehielos",
                            line2: "Colonia El Chamizal, C.P. 23405,"            
                        },    
                        email: "eduardo@spanishincabo.com",
                        phone: "+ 52 624 146 9975"
                         
                    }
                        
	                    }
         	
                                                                })
                                                                
          Checkout.showPaymentPage();
            };

</script>'); ?>